Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.html
Class BaseFieldTagAdapter

    java.lang.Object
      BaseFieldTag
          com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter

All Implemented Interfaces
  TagAdapter

Direct Known Subclasses:
  FileTag, HiddenTag, PasswordTag, TextTag, TextTag

    public class BaseFieldTagAdapter

extends BaseFieldTag
implements TagAdapter

Base class for all BaseFieldTag Tag Adapter extenders

This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal or in future versions of the 3rd party types.

Constructor Summary
`BaseFieldTagAdapter()`

Method Summary
`void` | `adaptPrepareIndex(StringBuffer handlers, String name)`
`int` | `doStartTag()` Generate the required input tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFieldTagAdapter

    public BaseFieldTagAdapter()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Generate the required input tag.

  Support for indexed property since Struts 1.1

  Throws
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred
    `JspException`

### adaptPrepareIndex

    public void adaptPrepareIndex(StringBuffer handlers,
                                  String name)
                           throws JspException

  Specified by:
    `adaptPrepareIndex` in interface `TagAdapter`
  Throws
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved